<?php
/**
 * @project Astra.CMS
 * @link http://a-cms.ru/
 * @copyright 2011 "Астра Вебтехнологии"
 * @author Vitaly Hohlov <admin@a-cms.ru>
 * @package Modules
 */
/**************************************************************************/

/**
 * Панель управления модуля "Гостевая книга".
 *
 * <a href="http://wiki.a-cms.ru/modules/guestbook">Руководство</a>.
 */

class GuestbookModule_Admin extends A_MainFrame
{
/**
 * Конструктор.
 */

  function __construct()
  {
    parent::__construct("module_guestbook.tpl");

	$this->AddJScript("/modules/guestbook/admin/guestbook.js");
  }

/**
 * Маршрутизатор действий.
 */

  function Action($action)
  {
    $res=false;
    switch($action)
    { case "save": $res=$this->SavePage(); break;
    }
    if($res)
	A::goUrl("admin.php?mode=sections&item=".SECTION);
  }

/**
 * Обработчик действия: Сохранение текста страницы.
 */

  function SavePage()
  {
	setTextOption(SECTION,'content',$_REQUEST['text']);

    $name=A::$DB->getOne("SELECT caption_".A::$LANG." FROM ".DOMAIN."_sections WHERE id=".SECTION_ID);
    A_SearchEngine::getInstance()->updateIndex(SECTION_ID,0,$name,$_REQUEST['text']);

	return true;
  }

/**
 * Формирование данных доступных в шаблоне.
 */

  function createData()
  {
	$this->Assign("maincontent",getTextOption(SECTION,'content'));

	$this->Assign("commbox",new A_CommentsEditor('','page'));

	$this->Assign("optbox1",new A_OptionsBox("Внешний вид на сайте:",array('idgroup'=>1)));
	$this->Assign("optbox2",new A_OptionsBox("Комментирование:",array('idgroup'=>2)));
  }
}

A::$MAINFRAME = new GuestbookModule_Admin;