<?php
/**
 * @project Astra.CMS
 * @link http://a-cms.ru/
 * @copyright 2011 "Астра Вебтехнологии"
 * @author Vitaly Hohlov <admin@a-cms.ru>
 * @package Modules
 */
/**************************************************************************/

/**
 * Серверная сторона AJAX панели управления модуля "Гостевая книга".
 *
 * <a href="http://wiki.a-cms.ru/modules/guestbook">Руководство</a>.
 */

class GuestbookModule_Request extends A_Request
{
/**
 * Маршрутизатор действий.
 */

  function Action($action)
  {
    switch($action)
	{ case "geteditpageform": $this->getPageForm(); break;
	}
  }

/**
 * Обработчик действия: Отдает форму редактирования текста страницы.
 */

  function getPageForm()
  {
    $form = new A_Form("module_guestbook_page.tpl");
	$form->data['content']=getTextOption(SECTION,'content');
	$this->RESULT['title']=SECTION_NAME;
	$this->RESULT['html']=$form->getContent();
  }
}

A::$REQUEST = new GuestbookModule_Request;